$font: 'futura-pt', sans-serif;

@mixin containerLayout {
  margin-left: auto;
  margin-right: auto;
  width: 1200px;
}

$dropDownLayer: 100;

$containerWidth: 1200px;

$mainWhite: #FFFFFF;
$mainBlue: #00AEEF;
$mainBlueHover: mix(#2A2F3B, $mainBlue, 8%);
$mainBluePressed: mix(#2A2F3B, $mainBlue, 16%);
$blue8: rgba(0, 174, 239, 0.08);
$blue8Hover: rgba(0, 174, 239, 0.16);
$blue8Pressed: rgba(0, 174, 239, 0.24);
$red: #F60B44;
$red64: rgba(246, 11, 68, 0.64);
$redHover: mix(#2A2F3B, $red, 8%);
$redPressed: mix(#2A2F3B, $red, 16%);
$red16: rgba(246, 11, 68, 0.16);
$mainGreen: #0BB664;
$mainGreen64: rgba(11, 182, 100, 0.64);
$mainYellow: #FF9F10;
$mainYellow64: rgba(255, 159, 16, 0.64);
$mainDark: #2A2F3B;
$lightGray: #D9DCE1;
$lightGrayHover: mix(#2A2F3B, $lightGray, 16%);
$dark40: rgba(42, 47, 59, 0.4);
$mediumGray: #9DA0B2;
$background: #F5F6FA;
$background64: rgba(245, 246, 250, 0.64);


@mixin h1HeadlineType($color) {
  font-family: $font;
  font-style: normal;
  font-weight: 500;
  font-size: 1.5rem;
  line-height: 2rem;
  color: $color;
}

@mixin h2HeadlineType($color) {
  font-family: $font;
  font-style: normal;
  font-weight: 500;
  font-size: 1rem;
  line-height: 1.5rem;
  color: $color;
}

@mixin body16MediumType($color) {
  font-family: $font;
  font-style: normal;
  font-weight: 500;
  font-size: 1rem;
  line-height: 1.25rem;
  color: $color;
}

@mixin bodyMediumType($color) {
  font-family: $font;
  font-style: normal;
  font-weight: 500;
  font-size: 0.875rem;
  line-height: 1.25rem;
  color: $color;
}

@mixin bodyRegularType($color) {
  font-family: $font;
  font-style: normal;
  font-weight: normal;
  font-size: 0.875rem;
  line-height: 1.25rem;
  color: $color;
}

@mixin captionType($color) {
  font-family: $font;
  font-style: normal;
  font-weight: 500;
  font-size: 10px;
  line-height: 12px;
  text-transform: uppercase;
  color: $color;
}
